Package com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtTst

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtTst

-     public class EPPRelatedDomainExtTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.releateddomainext package. The unit test will execute, gather statistics, and output the results of a test of each concrete classes in com.verisign.epp.codec.releateddomainext package and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRelatedDomainExtTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPRelatedDomainExtTst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testDomainCreate()` | Unit test of `EPPDomainCreateCmd`.
    `void` | `testDomainDelete()` | Unit test of `EPPDomainDeleteCmd`.
    `void` | `testDomainInfoCmd()` | Unit test of `EPPDomainInfoCmd`.
    `void` | `testDomainRenew()` | Unit test of `EPPDomainRenewCmd`.
    `void` | `testDomainTransfer()` | Unit test of `EPPDomainTransferCmd`.
    `void` | `testDomainUpdate()` | Unit test of `EPPDomainUpdateCmd`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRelatedDomainExtTst

          public EPPRelatedDomainExtTst()

  - ### Method Detail

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPRelatedDomainExtTst`.

    - #### testDomainInfoCmd

          public void testDomainInfoCmd()

      Unit test of `EPPDomainInfoCmd`. The response to `EPPDomainInfoCmd` is `EPPDomainInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test of `EPPDomainCreateCmd`. The response to `EPPDomainCreateCmd` is `EPPDomainCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainDelete

          public void testDomainDelete()

      Unit test of `EPPDomainDeleteCmd`. The response to `EPPDomainDeleteCmd` is `EPPDomainCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test of `EPPDomainUpdateCmd`. The response to `EPPDomainUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainRenew

          public void testDomainRenew()

      Unit test of `EPPDomainRenewCmd`. The response to `EPPDomainRenewCmd` is `EPPDomainRenewResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainTransfer

          public void testDomainTransfer()

      Unit test of `EPPDomainTransferCmd`. The response to `EPPDomainTransferCmd` is `EPPDomainTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.